clan::CrashReporter Class Reference - ClanLib SDK
Description: clan::CrashReporter Class Reference

Public Member Functions | Static Public Member Functions | List of all members
clan::CrashReporter Class Reference
clanCore ErrorReporting

Generates crash reports (aka. minidumps or core dumps) when the application crashes, or when requested. More...

`#include <crash_reporter.h>`

## Public Member Functions
| CrashReporter (const std::string &reports_directory, const std::string &uploader_executable=std::string())
| Constructs a crash reporter that creates crash dumps in the specified directory.
| ~CrashReporter ()

## Static Public Member Functions
static void | generate_report ()
| Generate a crash report for the current thread without terminating.
static void | hook_thread ()
| Hooks the current thread to the crash reporter.
static void | invoke ()
| Force a crash.

## Detailed Description

Generates crash reports (aka. minidumps or core dumps) when the application crashes, or when requested.

## Constructor & Destructor Documentation

## ◆ CrashReporter()

clan::CrashReporter::CrashReporter | ( | const std::string & | reports_directory,
|  | const std::string & | uploader_executable = std::string() )

Constructs a crash reporter that creates crash dumps in the specified directory.

If uploader_executable is a non-empty string the executable will be launched if the application crashes.

## ◆ ~CrashReporter()

clan::CrashReporter::~CrashReporter | ( |  | ) |

## Member Function Documentation

## ◆ generate_report()

void clan::CrashReporter::generate_report | ( |  | ) |
| static

Generate a crash report for the current thread without terminating.

## ◆ hook_thread()

void clan::CrashReporter::hook_thread | ( |  | ) |
| static

Hooks the current thread to the crash reporter.

The crash reporter will only work for hooked threads.

## ◆ invoke()

void clan::CrashReporter::invoke | ( |  | ) |
| static

Force a crash.

This is useful for failing asserts.

The documentation for this class was generated from the following file:

- crash_reporter.h